<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Centro podológico las termas</title>

    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700,800&display=swap" rel="stylesheet" />
</head>

<body>
    <section id="inicio">
        <sb-navbar-inicio></sb-navbar-inicio>
    </section>

    <header>
        <!-- Texto sobre imagen inicio-->
        <section class="textos-header">
            <h1>{{ inicio.titulo }} </h1>
            <h2>{{ inicio.subTitulo }} </h2>
        </section>
        <div class="wave" style="height: 150px; overflow: hidden">
            <svg viewBox="0 0 500 150" preserveAspectRatio="none" style="height: 100%; width: 100%">
                <path d="M0.00,49.98 C300.00,300.00 349.20,-50.00 500.00,49.98 L500.00,150.00 L0.00,150.00 z"
                    style="stroke: none; fill: rgb(255, 255, 255)"></path>
            </svg>
        </div>
        <!-- fin imagen inicio -->
    </header>
    <main>
        <section class="disponibilidad-horaria" id="disponibilidad-horaria">
            <div class="contenedor">
                <h2 class="titulo">Consultar disponibilidad de hora</h2>
                <div class="contenedor-disponibilidad-horaria">
                    <img src="./assets/img/calendar.svg" alt="" class="imagen-about-us" />
                    <div class="contenido-textos">
                        <div class="row">

                            <div class="col" style="padding-top: 10px">
                                <label for="fecha-conculta">Fecha:</label>
                                <br />
                                <br />
                                <input id="fecha-consulta" type="date" #fecha />
                                <br />
                                <br />
                                <button type="button" class="btn btn-primary btn-lg" (click)="buscar(fecha.value,1)">
                                    Consultar
                                </button>
                            </div>
                            <div class="col-7.5 ">
                                <table class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th scope="col">Hora</th>
        
                                            <th scope="col"></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let hora of buscarFecha">
                                            <!-- hora -->
                                            <td class="text-center" #hora>{{ hora.hora }}</td>
                                            
                                            <td>
                                                <button type="button" class="btn btn-outline-primary "
                                                    (click)="openxl(contenido)"> Reservar </button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section class="Servicios" id="servicios">
            <div class="contenedor">
                <h2 class="titulo">Onicopatías tratadas</h2>
                <div class="galeria-port">
                    <div class="imagen-port">
                        <img src="./assets/img/unaEncarnada.jpg" />
                        <div class="hover-galeria" (click)="showModal1()">
                            <p>Onicocriptosis</p>
                            <p>(Uñas encarnadas)</p>
                        </div>
                    </div>
                    <div class="imagen-port">
                        <img src="./assets/img/unaGruesa.jpg" alt="" />
                        <div class="hover-galeria" (click)="showModal2()">
                            <p>Onicogrifosis</p>
                            <p>(Uña engrosada)</p>
                        </div>
                    </div>
                    <div class="imagen-port">
                        <img src="./assets/img/verruga.jpg" alt="" />
                        <div class="hover-galeria" (click)="showModal3()">
                            <p>Verrugas plantares</p>
                        </div>
                    </div>
                    <div class="imagen-port">
                        <img src="./assets/img/onicofosis.jpg" alt="" />
                        <div class="hover-galeria" (click)="showModal4()">
                            <p>Onicofosis</p>
                        </div>
                    </div>
                    <div class="imagen-port">
                        <img src="./assets/img/involuta.jpg" alt="" />
                        <div class="hover-galeria" (click)="showModal5()">
                            <p>Laminas involutas</p>
                        </div>
                    </div>
                    <div class="imagen-port">
                        <img src="./assets/img/heloma.jpg" alt="" />
                        <div class="hover-galeria" (click)="showModal6()">
                            <p>Helomas</p>
                        </div>
                    </div>
                    <div class="imagen-port">
                        <img src="./assets/img/queratosis.jpg" alt="" />
                        <div class="hover-galeria" (click)="showModal7()">
                            <p>Queratosis</p>
                        </div>
                    </div>
                    <div class="imagen-port">
                        <img src="./assets/img/onicomicosis.jpg" alt="" />
                        <div class="hover-galeria" (click)="showModal8()">
                            <p>Onicomicosis</p>
                            <p>(Uñas con hongo)</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="clientes" id="misionVision">
            <div class="contenedor">
                <h2 class="titulo">Misión y Visión</h2>
                <div class="cards">
                    <div class="card">
                        <div class="contenido-texto-card" align="justify">
                            <h4>Misión</h4>
                            <p>
                                “{{ inicio.mision }} ”
                            </p>
                        </div>
                    </div>
                    <div class="card">
                        <div class="contenido-texto-card" align="justify">
                            <h4>Visión</h4>
                            <p>
                                “{{ inicio.vision }} ”
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="about-services" id="about-services">
            <div class="contenedor">
                <h2 class="titulo">Nuestros servicios</h2>
                <div class="box">
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                                <div class="box-part text-center">
                                    <div class="title">
                                        <h4>Podología Básica : </h4>
                                        <h4>${{ inicio.valorBasica }} </h4>
                                        <h4></h4>
                                    </div>
                                    <div class="text">
                                        <span>
                                            <ul align="left" style="padding-left: 10%">
                                                <li>
                                                    <a>
                                                        Pacientes sin
                                                        patologías</a>
                                                </li>
                                                <li>
                                                    <a>
                                                        Pacientes con
                                                        Onicomicosis</a>
                                                </li>
                                                <li>
                                                    <a>
                                                        Pacientes con
                                                        Onicogrifosis
                                                    </a>
                                                </li>
                                            </ul>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                                <div class="box-part text-center">
                                    <div class="title">
                                        <h4>Podología avanzada: ${{ inicio.valorAvanzada }} </h4>
                                    </div>
                                    <div class="text">
                                        <span>
                                            <ul align="left" style="padding-left: 10%">
                                                <li>
                                                    <a>
                                                        Pacientes sin
                                                        patologías</a>
                                                </li>
                                                <li>
                                                    <a>
                                                        Pacientes con
                                                        Onicomicosis</a>
                                                </li>
                                                <li>
                                                    <a>
                                                        Pacientes con
                                                        Onicogrifosis
                                                    </a>
                                                </li>
                                            </ul>
                                        </span>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                                <div class="box-part text-center">
                                    <div class="title">
                                        <h4>
                                            Podología clínica: ${{ inicio.valorClinica }} por
                                            dedo.
                                        </h4>
                                    </div>

                                    <div class="text">
                                        <span>
                                            <ul align="left" style="padding-left: 10%">
                                                <li>
                                                    <a>
                                                        Pacientes sin
                                                        patologías</a>
                                                </li>
                                                <li>
                                                    <a>
                                                        Pacientes con
                                                        Onicomicosis</a>
                                                </li>
                                                <li>
                                                    <a>
                                                        Pacientes con
                                                        Onicogrifosis
                                                    </a>
                                                </li>
                                            </ul>
                                        </span>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                                <div class="box-part text-center">
                                    <div class="title">
                                        <h4>Curación plana:</h4>
                                        <h4>${{ inicio.curacion }} </h4>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                                <div class="box-part text-center">
                                    <div class="title">
                                        <h4>Reconstrucción ungueal:</h4>
                                        <h4>${{ inicio.reconstruccion }} por dedo.</h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section class="footer" id="contacto">
            <sb-footer></sb-footer>
        </section>
    </main>


    <!-- Seccion de modales para reserva -->

</body>

<ng-template #contenido let-modal>
    <div class="modal-header">
        <h4 class="modal-title "> Proceso de reserva de hora</h4>
        <button class="close" aria-label="close" type="button" (click)="modal.dismiss()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div class="modal-body">
        <div class="container">
            <div class="row">
                <div class="col">
                    <label for="" class="form-label">Nombres:</label>
                    <input type="text" class="form-control" name="" id="" placeholder="Ingrese sus nombres">
                    <label for="" class="form-label">Apellido paterno:</label>
                    <input type="text" class="form-control" name="" id="" placeholder="Ingrese su apellido">
                    <label for="" class="form-label">Apellido materno</label>
                    <input type="text" class="form-control" name="" id="" placeholder="Ingrese su apellido">
                </div>
                <div class="col">
                    <label for="" class="form-label">Correo:</label>
                    <input type="text" class="form-control" name="" id="" placeholder="ejemplo@ejemplo.com">
                    <label for="" class="form-label">Teléfono:</label>
                    <input type="text" class="form-control" name="" id="" placeholder="912345678">
                    <label for="" class="form-label">Rut</label>
                    <input type="text" class="form-control" name="" id="" placeholder="12333444-5">

                </div>
            </div>

        </div>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-success"
            (click)="editar(titulo.value,subTitulo.value,mision.value,vision.value,basica.value,avanzada.value,clinica.value,curacion.value,reconstruccion.value)">
            Guardar cambios </button>
    </div>
</ng-template>

</html>
